#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	CRC
Summary:	Digest::CRC - Generic CRC functions
Summary(pl.UTF-8):	Digest::CRC - podstawowe funkcje CRC
Name:		perl-Digest-CRC
Version:	0.18
Release:	4
License:	Public Domain
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	baf8cb6c50782416b10f470b2e29bf7a
URL:		http://search.cpan.org/dist/Digest-CRC/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::CRC module calculates CRC sums of all sorts. It contains
wrapper functions with the correct parameters for CRC-CCITT, CRC-16
and CRC-32.

%description -l pl.UTF-8
Moduł Digest::CRC oblicza różnego rodzaju sumy kontrolne CRC. Posiada
funkcje - wrappery z odpowiednimi parametrami dla CRC-CCITT, CRC-16
oraz CRC-32.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/*.pm
%dir %{perl_vendorarch}/auto/Digest/CRC
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/CRC/CRC.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-CRC.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ae492ab
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> edf1cd8
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e1a3600
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1335ac8
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> fcedfca
- up to 0.18

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 652bb21
- rel 7

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 71e71fa
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e3b1a17
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> c944116
- release 4

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 3a56a48
- no macros overusage

* Sun Mar 02 2008 radek <radek@pld-linux.org> 6ba78e7
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7daa483
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> daf3b96
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 1d607aa
- up to 0.14

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 63b8efc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 12b7a38
- converted to UTF-8

* Sun Apr 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 09a2b34
- missing dir, .so perms

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> 598a403
- up to 0.10 rel1, updated %files, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 68fe7b9
- formatting

* Sat Aug 07 2004 Adam Gołębiowski <adamg@pld-linux.org> 292ae86
- new

